gnutls_x509_trust_list_get_ptr(3)

NAME
gnutls_x509_trust_list_get_ptr - API function

SYNOPSIS
#include <gnutls/x509.h>

void * gnutls_x509_trust_list_get_ptr(gnutls_x509_trust_list_t tlist);

ARGUMENTS

gnutls_x509_trust_list_t tlist
    is a gnutls_x509_trust_list_t type.

DESCRIPTION
Get user pointer for tlist. Useful in callback function gnutls_x509_trust_list_set_getissuer_function. This is the pointer set with gnutls_x509_trust_list_set_ptr().

RETURNS
the user given pointer from the tlist structure, or NULL if it was never set.

SINCE
3.7.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/